diff -u bitlbee-1.2.1/debian/prerm bitlbee-1.2.1/debian/prerm
--- bitlbee-1.2.1/debian/prerm
+++ bitlbee-1.2.1/debian/prerm
@@ -11,3 +11,7 @@
 else
-	/etc/init.d/bitlbee stop || exit 0
+	if which invoke-rc.d >/dev/null 2>&1; then
+		invoke-rc.d bitblee stop || exit 0
+	else
+		/etc/init.d/bitlbee stop || exit 0
+	fi
 fi
diff -u bitlbee-1.2.1/debian/changelog bitlbee-1.2.1/debian/changelog
--- bitlbee-1.2.1/debian/changelog
+++ bitlbee-1.2.1/debian/changelog
@@ -1,3 +1,11 @@
+bitlbee (1.2.1-1.1) unstable; urgency=low
+
+  * Non-Maintainer Upload
+  * Use invoke-rc.d as per policy. (Closes: #492637) [Thanks to Matt
+    Kraii]
+
+ -- Don Armstrong <don@debian.org>  Wed, 06 Aug 2008 06:57:18 -0700
+
 bitlbee (1.2.1-1) unstable; urgency=low
 
   * New upstream release.
diff -u bitlbee-1.2.1/debian/postinst bitlbee-1.2.1/debian/postinst
--- bitlbee-1.2.1/debian/postinst
+++ bitlbee-1.2.1/debian/postinst
@@ -64,7 +64,11 @@
 fi
 
 if [ -n "$2" -a "$BITLBEE_UPGRADE_DONT_RESTART" != "1" ]; then
-	/etc/init.d/bitlbee restart
+	if which invoke-rc.d >/dev/null 2>&1; then
+		invoke-rc.d bitlbee restart
+	else
+		/etc/init.d/bitlbee restart
+	fi
 fi
 
 ## If we're upgrading, we'll probably skip this next part
@@ -92,3 +96,7 @@
 if [ -z "$2" ]; then
-	/etc/init.d/bitlbee start
+	if which invoke-rc.d >/dev/null 2>&1; then
+		invoke-rc.d bitlbee start
+	else
+		/etc/init.d/bitlbee start
+	fi
 fi
